error opening pool 'nova' (libvirt-image-backend from qcow2 to rbd fails)

Bug #1489463 reported by Alvaro Uria on 2015-08-27
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
nova-compute (Juju Charms Collection)
High
Edward Hope-Morley

Bug Description

Hi,

OpenStack version is Kilo, using juju 1.24.5.

ii nova-common 1:2015.1.1-0ubuntu1~cloud2 all OpenStack Compute - common files
ii nova-compute 1:2015.1.1-0ubuntu1~cloud2 all OpenStack Compute - compute node base
ii nova-compute-kvm 1:2015.1.1-0ubuntu1~cloud2 all OpenStack Compute - compute node (KVM)
ii nova-compute-libvirt 1:2015.1.1-0ubuntu1~cloud2 all OpenStack Compute - compute node libvirt support
ii python-nova 1:2015.1.1-0ubuntu1~cloud2 all OpenStack Compute Python libraries
ii python-novaclient 1:2.22.0-0ubuntu1~cloud0 all client library for OpenStack Compute API

On a compute node configured by default (local ephemeral storage / qcow2), if I try to change libvirt-image-backend to "rbd", ceph pool 'nova' is not created and, hence, nova-compute restart fails. See http://pastebin.ubuntu.com/12205586/.

Initial deploy with "rbd" backend works fine.

Please let me know if I can help you more.

Cheers,
-Alvaro.

Related branches

Edward Hope-Morley (hopem) wrote :

Hi Alvaro, thanks for raising this bug. Could you please provide the following:
  * /etc/ceph/ceph.conf from the compute node in question
  * /var/log/juju/unit-nova-compute-<num>.log from your compute host
  * output of 'juju status nova-compute'
  * output of juju ssh ceph/0 sudo ceph -s

Liam Young (gnuoy) on 2015-11-16
Changed in nova-compute (Juju Charms Collection):
status: New → Incomplete
James Page (james-page) wrote :

A configuration change does not trigger the required changes on the ceph relation to create the appropriate pools via the ceph broker.

Changed in nova-compute (Juju Charms Collection):
status: Incomplete → Confirmed
importance: Undecided → Low
milestone: none → 16.04
status: Confirmed → Triaged
tags: added: openstack sts
Changed in nova-compute (Juju Charms Collection):
assignee: nobody → Edward Hope-Morley (hopem)
status: Triaged → In Progress
tags: added: backport-potential
Changed in nova-compute (Juju Charms Collection):
importance: Low → High
Changed in nova-compute (Juju Charms Collection):
status: In Progress → Fix Committed
James Page (james-page) on 2016-04-22
Changed in nova-compute (Juju Charms Collection):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers